Description

Hi,

When hitting the "Sample" button, Query Builder freezes. | presume this is because there's a large database associated with the layer.
However, this should not happen. Either the function should quickly return a small resultset, or it should run in a separate thread and the
user interface should provide a button to interrupt it and return a small sample.

To reproduce, open a layer with a sufficiently large set, e.g. polygons and data for UK postcodes, open the Query builder and click on
"Sample" button.

This has been found on QGIS 2.14.1 64bit, running on Windows 7 Pro 64bit.

History

#1 - 2016-04-09 07:51 AM - Giovanni Manghi
- Category set to Vectors
- Status changed from Open to Feedback

Please link/attach a dataset that can be used to replicate the issue.

#2 - 2016-04-28 02:56 PM - Saber Razmjooei

QGIS does some work in the background to generate the sample.

To have it in a separate thread with option to cancel the operation is more of a feature request than a bug.

#3 - 2016-05-23 09:38 AM - Giovanni Manghi

- Subject changed from Query Builder (Not Responding) when selecting to get "Sample" Values to Add a "cancel" button for Query Builder get "Sample"
Values

- Status changed from Feedback to Open

- Tracker changed from Bug report to Feature request

#4 - 2016-06-09 03:08 AM - Jiirgen Fischer
- Tracker changed from Feature request to Bug report

- Crashes QGIS or corrupts data changed from Yes to No

#5 - 2016-06-09 05:49 AM - Jurgen Fischer

- Tracker changed from Bug report to Feature request
#6 - 2017-05-01 12:46 AM - Giovanni Manghi
- Easy fix? set to No
